Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 177134

Summary: Review Request: mkvtoolnix - Matroska container utilites
Product: [Fedora] Fedora Reporter: Dominik 'Rathann' Mierzejewski <dominik>
Component: Package ReviewAssignee: Ville Skyttä <ville.skytta>
Status: CLOSED NEXTRELEASE QA Contact: Fedora Package Reviews List <fedora-package-review>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: gauret, matthias, mgarski
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-12-06 12:55:18 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 163779    

Description Dominik 'Rathann' Mierzejewski 2006-01-06 16:10:23 UTC
Spec: http://rpm.greysector.net/extras/mkvtoolnix.spec
SRPM: http://rpm.greysector.net/extras/mkvtoolnix-1.6.5-2.src.rpm
Description:
Mkvtoolnix is a set of utilities to mux and demux audio, video and subtitle streams into and from Matroska containers.

Comment 1 Ville Skyttä 2006-01-07 20:34:36 UTC
Legal review needed; the tarball includes some mpeg/mp3/dts/aac related code
which is also built into the binaries.

(In the meantime: a desktop entry for the GUI would be nice, and $RPM_OPT_FLAGS
honoring by stripping hardcoded -O3, see eg.
http://cachalot.mine.nu/5/SRPMS/mkvtoolnix-1.6.5-0.1.src.rpm)

Comment 2 Dominik 'Rathann' Mierzejewski 2006-01-07 22:16:19 UTC
It doesn't decode video or audio, just demuxes and remuxes it into mkv. I hope
it's allright.

Both your suggestions are now included.


Comment 3 Aurelien Bompard 2006-03-05 16:49:31 UTC
What is the best way to ask for Legal review ? Is there a tracker bug to add ?

Comment 4 Ville Skyttä 2006-04-01 07:23:57 UTC
Partial review while waiting for legal comments:

- Change BR wxGTK2-devel to wxGTK-devel; the former is ambiguous with the 
  wxGTK-devel and compat-wxGTK2-devel both providing it.

- Unowned %{_datadir}/%{name} directory

- (rpmlint:) Group tag for -gui should be changed to Applications/Multimedia

- (rpmlint:) too long lines in %description, word-wrap at < 80 chars

- FLAC support missing, adding BR: flac-devel >= 1.1.1 fixes it

- Why disable bzip2 by default?  Even rpm itself requires bzip2-libs so it won't
  add any dependency bloat.  The same goes kind of with lzo in the sense that
  some popular multimedia packages which are somewhat likely to be installed on
  systems where this is require it, and it doesn't add any other deps, so I
  think it wouldn't hurt.  If there's a good use case for having these disabled
  by default (or in the first place), please add a comment explaining it in
  the specfile.

Comment 5 Dominik 'Rathann' Mierzejewski 2006-04-02 21:40:11 UTC
I can't just change wxGTK2-devel to wxGTK-devel, because it'll build against
gtk+-1.x on FC4. I've included a conditional BR using %{fedora}. Everything else
is fixed. http://rpm.greysector.net/extras/mkvtoolnix-1.6.5-3.src.rpm

Comment 6 Michael Schwendt 2006-05-29 11:21:25 UTC
Dropping FE-NEEDSPONSOR. Tom Callaway offered sponsorship in bug 177235
(and bugzilla change-several-bugs-at-once feature requires me to add/edit
something).

Comment 7 Michael Schwendt 2006-05-29 11:26:25 UTC
uhm, bugzilla is broken :(

Comment 8 Dominik 'Rathann' Mierzejewski 2006-07-28 19:12:12 UTC
Everything enabled, updated to 1.7.0.

http://rpm.greysector.net/extras/mkvtoolnix-1.7.0-1.src.rpm
http://rpm.greysector.net/extras/mkvtoolnix.spec

Comment 9 Dominik 'Rathann' Mierzejewski 2006-07-28 19:13:28 UTC
Also, any word from legal yet?

Comment 10 Ville Skyttä 2006-07-28 19:54:34 UTC
Nope :(

Comment 11 Dominik 'Rathann' Mierzejewski 2006-08-09 10:56:54 UTC
Posted a question to http://fedoraproject.org/wiki/FedoraLegalIssues to keep
track of this.

Comment 12 Matthias Saou 2006-10-23 10:57:29 UTC
I really don't think this package can get Fedora Legal approval as-is, and
removing any of its demuxing capabilities will reduce its usefulness.

I've packaged it too, outside of Extras for now.

Regarding the package currently under review :
- The "buildroot != /" check in %install is not needed
- Passing STRIP=/bin/true to make install will fix the empty debuginfo package
- sed is in the build requirements exceptions (no need to list it) (*)
- The gui sub-package should probably require the current version-release
- Maybe the "base64tool" should be considered to have a too generic name and
  have it changed to something like "mkvbase64tool" or "mkvb64tool"?

(*) I assume it's listed because the version is required for inline replacing

Comment 13 Dominik 'Rathann' Mierzejewski 2006-11-20 01:29:24 UTC
http://rpm.greysector.net/extras/mkvtoolnix-1.8.0-1.src.rpm
http://rpm.greysector.net/extras/mkvtoolnix.spec

Included all Matthias' suggestions (except renaming base64tool).

Comment 14 Tom "spot" Callaway 2006-12-05 18:44:40 UTC
Lifting FE-Legal, after discussion with Max. I was unable to find any patents
around the process of muxing/demuxing (not the hardware implementations of
muxing/demuxing).

Comment 15 Dominik 'Rathann' Mierzejewski 2006-12-05 21:22:12 UTC
http://rpm.greysector.net/extras/mkvtoolnix-1.8.1-1.src.rpm
http://rpm.greysector.net/extras/mkvtoolnix.spec

Updated to 1.8.1 + some fixes by Ville and myself.

Comment 16 Ville Skyttä 2006-12-06 09:46:36 UTC
Nothing to add, approved.  Even if "base64tool" is a genericish name for a tool,
all references to it I could find from some searching referred to this
particular one, so I'm fine with dealing with it later if there's ever need to
do so.

Comment 17 Dominik 'Rathann' Mierzejewski 2006-12-06 12:55:18 UTC
Imported and built for devel, FC-5 and FC-6 branches requested. Thanks!